Bug 49400 - [GTK] Changing any GNUmakefile.am in the source tree forces a rebuld of the DOM bindings and WebKit API
Summary: [GTK] Changing any GNUmakefile.am in the source tree forces a rebuld of the D...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P3 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks:
 
Reported: 2010-11-11 12:38 PST by Martin Robinson
Modified: 2010-11-18 08:30 PST (History)
3 users (show)

See Also:


Attachments
Patch for this issue (48.36 KB, patch)
2010-11-11 12:54 PST, Martin Robinson
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2010-11-11 12:38:15 PST
webkitenums.cpp has a dependency on the final generated GNUmakefile, so modifying any GNUmakefile.am , forces the WebKit layer and the DOM bindings to rebuild. This make modifying something like WebCore/GNUmakefile a more expensive operation than it needs to be.
Comment 1 Martin Robinson 2010-11-11 12:54:58 PST
Created attachment 73640 [details]
Patch for this issue
Comment 2 Gustavo Noronha (kov) 2010-11-17 12:20:19 PST
Comment on attachment 73640 [details]
Patch for this issue

View in context: https://bugs.webkit.org/attachment.cgi?id=73640&action=review

> GNUmakefile.am:-29
> -	--enable-introspection	\

Just remember to undo this change! The rest looks fine =)
Comment 3 Martin Robinson 2010-11-17 22:33:13 PST
Committed r72275: <http://trac.webkit.org/changeset/72275>
Comment 4 Ravi Phaneendra Kasibhatla 2010-11-18 06:37:07 PST
Robinson,
Just an after thought. Wouldn't it be better to even move the libJavaScriptCore_la changes to JavaScriptCore/GNUmakefile.am? 

It makes the root GNUmakefile.am completely independent of any target specific changes and retains only the global flags and variables which are applicable for all the individual targets.
Comment 5 Martin Robinson 2010-11-18 08:30:48 PST
(In reply to comment #4)
> Robinson,
> Just an after thought. Wouldn't it be better to even move the libJavaScriptCore_la changes to JavaScriptCore/GNUmakefile.am? 
> 
> It makes the root GNUmakefile.am completely independent of any target specific changes and retains only the global flags and variables which are applicable for all the individual targets.

Yep! I had planned to do that in a later patch.